### Method

# Gck Object get_data_finish

#### Declaration [src]

    guchar*
    gck_object_get_data_finish (
      GckObject* self,
      GAsyncResult* result,
      gsize* n_data,
      GError** error
    )

#### Description [src]

Get the result of an operation to get attribute data from an object. For convenience the returned data has an extra null terminator, not included in the returned length.

#### Parameters

`result` | `GAsyncResult`
| The result passed to the callback.
| The data is owned by the caller of the function.
`n_data` | `gsize*`
| The length of the resulting data.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guchar`
| The PKCS#11 attribute data or `NULL` if an error occurred.
| The length of the array is in the `n_data` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.